MERGE(1)

NAZWA
merge - trójstronne scalanie plików

SKŁADNIA
merge [ opcje ] plik1 plik2 plik3

OPIS
merge nanosi na plik1 wszystkie zmiany, które z pliku plik2 uczyniły plik3. Wynik normalnie trafia do plik1. merge przydaje się do łączenia poczynionych osobno zmian tego samego oryginału. Załóżmy, że plik2 jest oryginałem, a plik1 oraz plik3 niezależnymi modyfikacjami pliku2. Wówczas merge łączy obie zmiany.

Jeśli zarówno plik1, jak i plik3 zawierają zmiany w tym samym wycinku wierszy, to występuje konflikt. W takim przypadku merge normalnie wypisuje ostrzeżenie i ujmuje konflikt pomiędzy dwa wiersze złożone z nawiasów ostrych <<<<<<< i >>>>>>>. Typowy konflikt wygląda tak:

    <<<<<<< plik A
    wiersze pliku A
    =======
    wiersze pliku B
    >>>>>>> plik B

Jeśli wystąpiły konflikty, użytkownik powinien poprawić wynik ręcznie, usuwając jedną z alternatyw.

OPCJE

-A  Wypisuje konflikty przy użyciu stylu -A programu diff3(1), jeśli jest on udostępniany przez diff3. Scala to wszystkie zmiany czyniące z pliku plik2 plik plik3 do pliku1 i tworzy najbardziej szczegółowe wyjście.

-E, -e
    Te opcje określają style wypisywania konfliktów, które generują mniej informacji niż -A. Szczegóły można znaleźć w diff3(1). Domyślnie używane jest -E. Z opcją -e, merge nie ostrzega o konfliktach.

-L etykieta
    Tę opcję można podać do trzech razy. Określa etykiety, które w raportach o konfliktach mają być użyte zamiast odpowiednich nazw plików. To znaczy, że merge -L x -L y -L z a b c tworzy wyjście wyglądające, tak jakby pochodziło z plików x, y i z, a nie z plików o nazwach a, b i c.

-p  Wysyła wyniki na standardowe wyjście zamiast nadpisywania pliku1.

-q  Tryb cichy. Nie ostrzega o konfliktach.

-V  Wypisuje numer wersji programu.

DIAGNOSTYKA
Kod zakończenia 0 oznacza pomyślnie ukończoną pracę, 1 napotkanie konfliktów, a 2 kłopoty.

IDENTYFIKACJA
Autor: Walter F. Tichy.
Data zmian strony podręcznika: 5.10.0; Data wydania: 20 października 2020 r..
Copyright © 2010-2020 Thien-Thi Nguyen.
Copyright © 1990, 1991, 1992, 1993, 1994, 1995 Paul Eggert.
Copyright © 1982, 1988, 1989 Walter F. Tichy.

ZOBACZ TAKŻE
diff3(1), diff(1), rcsmerge(1), co(1).

Pełna dokumentacja RCS jest dostępna w formacie Texinfo. Jeśli program info(1) i RCS jest poprawnie zainstalowany, to polecenie

    info rcs

powinno dać dostęp do pełnego podręcznika. Dodatkowo, strona internetowa RCS:

    http://www.gnu.org/software/rcs/

zawiera odnośniki i informacje na temat ostatnich wydań, rozwoju itp.

BŁĘDY
Zwykle nie ma sensu scalanie plików binarnych tak, jakby były tekstowymi, ale merge i tak próbuje to robić.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.